Bug 1191534 - Dnf Langpack Plugin
Summary: Dnf Langpack Plugin
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-11 13:22 UTC by Jaroslav Reznik
Modified: 2015-07-21 10:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
== DNF Langpack Plug-in == The DNF package manager, which replaces Yum in Fedora 22, now supports langpack installation through the 'dnf-langpacks' plug-in. The functionality is the same as the 'yum-langpacks' plugin for Yum. Currently, the plugin can not install langpacks automatically due to a missing DNF feature. See BZ#1114422 (https://bugzilla.redhat.com/show_bug.cgi?id=1114422) for details. Manual installation is possible using the ''dnf langinstall <language>'' command, and a list of available languages can be obtained using ''dnf langavailable''. To list all available commands, use ''dnf --help''; all commands beginning with lang* are provided by this plugin.
Clone Of:
Environment:
Last Closed: 2015-07-21 10:28:42 UTC
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-02-11 13:22:30 UTC
This is a tracking bug for Change: Dnf Langpack Plugin
For more details, see: https://fedoraproject.org//wiki/Changes/DnfLangpacksPlugin

A dnf plugin that allows langpacks to be installed/removed for the given languages using its commands.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:52 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 Parag Nemade 2015-02-20 10:48:11 UTC
All the CLI commands for dnf langpacks plugin is working fine.

Comment 3 Marius Andreiana 2015-03-08 10:08:03 UTC
Hello,

Not sure if right place to comment.

By default, would you please install/support just the language selected in Anaconda? This way, after fresh Fedora installs we wouldn't spend time cleaning up other languages.

Thanks!

Comment 4 Jaroslav Reznik 2015-03-24 11:41:52 UTC
This message is a reminder that Fedora 22 "Change Checkpoint: 100% Code Complete Deadline" is on 2015-03-31 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Freeze is a point of contingency plan, all incomplete Changes will be reported to FESCo for 2015-04-01 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 5 Parag Nemade 2015-03-25 03:42:41 UTC
Marius,
Thanks for your comment but I am waiting for some feature to be added by dnf developers which is pending since long time and I see that feature will not be available in F22. See bug 1114422. I will check if there is some other way we can achieve this. But for now as I only proposed this dnf langpacks plugin Change as to provide only commands, I am marking this complete and moving bug status to ON_QA.

Please report any further RFE/bug against dnf-langpacks component.

Comment 6 Petr Bokoc 2015-04-08 16:30:38 UTC
Hi Parag, we'd like to include this change in the Fedora 22 Beta Release Notes.

Please take a look at the draft I submitted in the Doc Text field, and let me know if this text is sufficient, or if there's anything you'd like to add or change.

In particular, I'm not sure about the second paragraph - I just took a guess what the problem actually is. What does the missing hook in BZ#1114422 mean? Does it mean that anaconda during installation, anaconda will install langpacks for all languages? Or is it the opposite - anaconda only installs the default language, and the user has to run "dnf langinstall <language>" manually to add others?

Thanks!

Comment 7 Parag Nemade 2015-04-08 17:32:45 UTC
The Doc Text field looks very good. 

About the issues remaining in langpacks is that currently there is no hook provided by dnf to modify generated transaction of packages that are getting installed which was possible with yum. This is needed when say a base package like man-page or kde-l10n is selected for installation and we have man-pages-* or kde-l10n-* packages available in repository for installation then those man-pages-* or kde-l10n-* packages will also get installed only for the enabled languages whose list is present in /var/lib/yum/plugins/langpacks/installed_langpacks file.

About anaconda, its developers are not yet willing to add this langpacks support code in anaconda codebase because of bug 1114422 and there are still some other issues in anaconda dnfpayload.py file as its code yet not fully dnf compatible. So, end users will not get language packages installed using anaconda. 

In summary, only these CLI commands are working fine for users. Once system is installed they can just use langinstall command to install the required language packages.


Note You need to log in before you can comment on or make changes to this bug.